# $Revision: 1.16 $, $Date: 2002/08/30 18:56:58 $
Summary:	OpenNap is a GNU version of the proprietary Napster server
Summary(pl):	OpenNap jest powszechn alternatyw komercyjnego serwera Napster
Name:		opennap
Version:	0.43
Release:	1
License:	GPL v2
Group:		Networking/Daemons
URL:		http://opennap.sourceforge.net/
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/opennap/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-no_libnsl.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Prereq:		/sbin/chkconfig

%description
Napster is a protocol for sharing files between users. With Napster,
the files stay on the client machine, never passing through the
server. The server provides the ability to search for particular files
and initiate a direct transfer between the clients. In addition, chat
forums similar to IRC are available. OpenNap extends the Napster
protocol to allow sharing of any media type, and the ability to link
servers together.

%description -l pl
Napster jest protokoem wspdzielenia plikw. Pliki pozostawiane s u
kocowych uytkownikw, nigdy fizycznie nie przebywaj na serwerze.
Serwer umoliwia jedynie wyszukiwanie konkretnych plikw i inicjuje
bezporedni transfer pomidzy uytkownikami. Na dodatek zapewnia
komunikacj podobn do IRCa. OpenNap rozszerza protok napstera o
moliwo wspdzielenia kadego rodzaju plikw oraz o moliwo
pocze midzyserwerowych.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--enable-resume \
	--enable-email \
	--enable-log-channel

#	--with-uid=opennap
#	--with-gid=opennap
#	--enable-chroot

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/opennap \
	   $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_sbindir}/setup

install	sample.block	$RPM_BUILD_ROOT%{_datadir}/opennap/block
install	sample.channels	$RPM_BUILD_ROOT%{_datadir}/opennap/channels
install	sample.config	$RPM_BUILD_ROOT%{_datadir}/opennap/config
install	sample.filter	$RPM_BUILD_ROOT%{_datadir}/opennap/filter
install	sample.motd	$RPM_BUILD_ROOT%{_datadir}/opennap/motd
install	sample.servers	$RPM_BUILD_ROOT%{_datadir}/opennap/servers
install	sample.users	$RPM_BUILD_ROOT%{_datadir}/opennap/users

install %{SOURCE1} 	$RPM_BUILD_ROOT/etc/rc.d/init.d/opennap
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/sysconfig/opennap

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo " "
echo Please adjust /usr/share/opennap/* config files before starting the server.
echo " "
echo Default values are not wide usable!
echo " "
echo Please adjust /etc/sysconfig/opennap to change port or/and listening IP.
echo " "
echo "After adjusting please run:"
echo "				 /sbin/chkconfig --add opennap"
echo "				 /etc/rc.d/init.d/opennap start"
echo " "

%preun
if [ "$1" = "0" ];then
	if [ -f /var/lock/subsys/opennap ]; then
		/etc/rc.d/init.d/opennap stop >&2
	fi
	/sbin/chkconfig --del opennap
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog FAQ
%attr(755,root,root) %{_sbindir}/*
%attr(750,opennap,opennap) %dir %{_datadir}/opennap
%attr(640,opennap,opennap) %config(noreplace) %verify(not size mtime md5) %{_datadir}/opennap/*
%attr(754,root,root) /etc/rc.d/init.d/opennap
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/opennap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: opennap.spec,v $
Revision 1.16  2002/08/30 18:56:58  kloczek
- added no_libnsl patch (addd full regenerate ac files),
- use new %doc.

Revision 1.15  2002/08/25 14:18:45  marcus
- updated to 0.43 (last stable version, 0.44 is broken!)

Revision 1.14  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/14 11:47:21  filon
- changed to %%%configure2_13, to make it build

Revision 1.10  2001/09/25 11:13:40  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.9  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/07/17 14:03:29  serek
- it is not currently possible to run opennap as luser.

Revision 1.6  2001/07/05 19:37:35  serek
- try to run as user. not finished.

Revision 1.5  2001/07/05 12:36:14  serek
- try to finish it.

Revision 1.4  2001/04/10 00:02:43  kloczek
- cosmetics.

Revision 1.3  2001/04/09 10:57:15  serek
- corrected locations and files.

Revision 1.2  2001/04/08 21:51:57  misiek
NFY

Revision 1.1  2001/04/08 21:26:16  serek
- current release, new in repo
